<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage Newstation
 * @since Newstation 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'newstation_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'newstation' ),
		'priority'   			=> 900,
		'panel'      			=> 'newstation_theme_options_panel',
		)
	);

// footer text
$wp_customize->add_setting( 'newstation_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'newstation_santize_allow_tag',
		'transport'				=> 'postMessage',
		)
	);
$wp_customize->add_control( 'newstation_theme_options[copyright_text]',
	array(
		'label'      			=> esc_html__( 'Copyright Text', 'newstation' ),
		'section'    			=> 'newstation_section_footer',
		'type'		 			=> 'textarea',
		)
	);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial( 'newstation_theme_options[copyright_text]', array(
		'selector'            => '.site-info div.wrapper',
		'settings'            => 'newstation_theme_options[copyright_text]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'newstation_copyright_text_partial',
		) );
}

// scroll top visible
$wp_customize->add_setting( 'newstation_theme_options[scroll_top_visible]',
	array(
		'default'       	=> $options['scroll_top_visible'],
		'sanitize_callback' => 'newstation_sanitize_switch_control',
		)
	);
$wp_customize->add_control( new Newstation_Switch_Control( $wp_customize, 'newstation_theme_options[scroll_top_visible]',
	array(
		'label'      		=> esc_html__( 'Display Scroll Top Button', 'newstation' ),
		'section'    		=> 'newstation_section_footer',
		'on_off_label' 		=> newstation_switch_options(),
		)
	) );